#language: ru

@piece_rate_calculation

Функционал: 08_piece_rate_calculation.01.008 Заполнение справочников Физ.лица

Сценарий: 08_piece_rate_calculation.01.008 Создание физ.лиц
	Дано Я подключаюсь под "Администратор"
	И Я создаю физическое лицо "Укладчик Сидорова"
	И Я создаю физическое лицо "Укладчик Петров"
	И Я создаю физическое лицо "Упаковщик Митяев"
	И Я создаю физическое лицо "Карщик Невельская"

Сценарий: 08_piece_rate_calculation.01.008 Привязка Пользователя к физ лицу
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Пользователи'
	Тогда открылось окно 'Пользователи'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'   |
		| 'Пользователь' |
	И в таблице "ПользователиСписок" я выбираю текущую строку
	Тогда открылось окно 'Пользователь (Пользователь)'
	И я нажимаю кнопку выбора у поля "Физическое лицо"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Упаковщик Митяев' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Пользователь (Пользователь) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Пользователь (Пользователь) *' в течение 20 секунд
	Тогда открылось окно 'Пользователи'
	И Я закрываю окно 'Пользователи'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 08_piece_rate_calculation.01.008 Привязка Ответственного по выпуску к физ лицу
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Пользователи'
	Тогда открылось окно 'Пользователи'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'              |
		| 'Ответственный за выпуск' |
	И в таблице "ПользователиСписок" я выбираю текущую строку
	Тогда открылось окно 'Ответственный за выпуск (Пользователь)'
	И я нажимаю кнопку выбора у поля "Физическое лицо"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Укладчик Сидорова' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ответственный за выпуск (Пользователь) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ответственный за выпуск (Пользователь) *' в течение 20 секунд
	Тогда открылось окно 'Пользователи'
	И Я закрываю окно 'Пользователи'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 08_piece_rate_calculation.01.008 Привязка Ответственного по поступлению к физ лицу
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Пользователи'
	Тогда открылось окно 'Пользователи'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'                   |
		| 'Ответственный за поступление' |
	И в таблице "ПользователиСписок" я выбираю текущую строку
	Тогда открылось окно 'Ответственный за поступление (Пользователь)'
	И я нажимаю кнопку выбора у поля "Физическое лицо"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Укладчик Петров' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ответственный за поступление (Пользователь) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ответственный за поступление (Пользователь) *' в течение 20 секунд
	Тогда открылось окно 'Пользователи'
	И Я закрываю окно 'Пользователи'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 08_piece_rate_calculation.01.008 Привязка Ответственного по перемещениям к физ лицу
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Пользователи'
	Тогда открылось окно 'Пользователи'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'                   |
		| 'Ответственный за перемещения' |
	И в таблице "ПользователиСписок" я выбираю текущую строку
	Тогда открылось окно 'Ответственный за перемещения (Пользователь)'
	И я нажимаю кнопку выбора у поля "Физическое лицо"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Карщик Невельская' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ответственный за перемещения (Пользователь) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ответственный за перемещения (Пользователь) *' в течение 20 секунд
	Тогда открылось окно 'Пользователи'
	И Я закрываю окно 'Пользователи'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'